<?php
$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_b3a356a0e2582249702" . "c68be9887158b" => base64_decode("KGludDppZDEsICdyb29tJywgaW50OmlkMiwg" . "MCk="), "_934da0e4d27867b7260" . "5f2f2a82ddad0" => base64_decode("KGludDppZDEsIHN0cjprZXksIGludDpp" . "ZDIsIDAp"), "_5b81cb6cf0bfd990583fc12" . "ddd80cd32" => base64_decode("Zm" . "Fj"), "_e98bb44779e2719d9" . "90b12523648e307" => base64_decode("U0VMRUNUIGlkIEZST00gcmJfZXZlbnRz" . "IFdIRVJFIHBpZCA9IC0xIEFORCByb29t" . "X2lkID0gaW50Omlk"), "_8695e37" . "b2f8e63a" . "b89c4690" . "8290193e" . "c" => base64_decode("c2VsZWN0IHJiX2xpbmtzLm9ial9pZCBmcm9tIHJiX2xpbmtzLCByYl9vYmogd2hlcmUgcmJfbGlua3MudmFsPWludDppZCBhbmQgcmJfb2JqLnR5cGU9J2ZhYycgYW5kIHJiX29iai5pc19zdXNwZW5kZWQ9MCBhbmQg" . "cmJfbGlua3Mub2JqX2lkPXJiX29iai5pZCBhbmQgcmJfbGlua3MuYm9va2luZz1pbnQ6Ym9va2luZw=="), "_1044ad6ec3f2b15d20a3b7353" . "cfb4d02" => base64_decode("U0VMRUNUIENPVU5UKCopIEZST00gcm" . "Jfb2JqIFdIRVJFIHBpZD1pbnQ6aWQ="), "_2acee84" . "48262945" . "1244aab9" . "6a01623c" . "d" => base64_decode("cm" . "9v" . "bQ" . "=="), "_f318226b856b8a65f1826300a2" . "81617b" => base64_decode("REVMRVRFIEZST00gcmJfbGlua3Mg" . "V0hFUkUgdmFsPWludDppZCBBTkQg" . "dHlwZT0ncm9vbScgQU5EIGJvb2tp" . "bmc9aW50OmJvb2tpbmc="));
class RBRoom extends RBMainClass
{
    public function __construct($_876ca2097b275e704d71e00d36b3e7c5, $name = 'EmptyName')
    {
        parent::__construct($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_2acee844826" . "29451244aab9" . "6a01623cd"], $_876ca2097b275e704d71e00d36b3e7c5, $name);
    }
    public function Load($id)
    {
        parent::Load($id);
        $this->_loadFacilities();
    }
    protected function _loadFacilities()
    {
        global $db;
        $query = $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_8695e37b2f8e63ab89c46908290193" . "ec"];
        $_189840d11056515e52402d1412a0b6e4 = $db->query($query, $this->id, $this->booking);
        while (list($id) = $_189840d11056515e52402d1412a0b6e4->fetchRow()) {
            $this->AddObj($id, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_5b81cb6cf0bfd990583fc12ddd" . "80cd32"]);
        }
    }
    protected function _createObjInsertString($key, $id)
    {
        if ($key == $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_5b81cb6cf0b" . "fd990583fc12" . "ddd80cd32"]) {
            return new QueryPart($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_b3a356a0e25" . "82249702c68b" . "e9887158b"], $id, $this->id);
        }
        return new QueryPart($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_934da0e4d27867b72605f2f2a8" . "2ddad0"], $this->id, $key, $id);
    }
    protected function _updateObjList()
    {
        global $db;
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_f318226b856b8a6" . "5f1826300a281617" . "b"], $this->id, $this->booking);
        parent::_updateObjList();
    }
    function Delete($_ef6f2587bed6ce140025395807730533 = false)
    {
        global $db;
        $_343a395319323dd7609bcbc465b4d034 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_e98bb44779" . "e2719d990b1" . "2523648e307"], $this->id)->fetchAllValues();
        foreach ((array) $_343a395319323dd7609bcbc465b4d034 as $id) {
            $this->_facade->DeleteEvent($id);
        }
        parent::Delete();
    }
    public function isEmpty()
    {
        global $db;
        list($_f53d35a1a1e233d98d9ce73d92ab3bb1) = $db->query_row($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_1044ad6ec3f2b15d20a3b7353cfb4d" . "02"], $this->id);
        return $_f53d35a1a1e233d98d9ce73d92ab3bb1 < 1;
    }
}